## org.eclipse.emf.codegen.merge.java
Enum JControlModel.SweepRule.Action

    java.lang.Object
      java.lang.Enum<JControlModel.SweepRule.Action>
          org.eclipse.emf.codegen.merge.java.JControlModel.SweepRule.Action

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<JControlModel.SweepRule.Action>

Enclosing class:
  JControlModel.SweepRule

    public static enum JControlModel.SweepRule.Action

extends java.lang.Enum<JControlModel.SweepRule.Action>

Enum Constant Summary
`COMMENT`
`REMOVE`
`RENAME`

Method Summary
`static JControlModel.SweepRule.Action` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static JControlModel.SweepRule.Action[]` `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### REMOVE

    public static final JControlModel.SweepRule.Action REMOVE

### RENAME

    public static final JControlModel.SweepRule.Action RENAME

### COMMENT

    public static final JControlModel.SweepRule.Action COMMENT

Method Detail

### values

    public static final JControlModel.SweepRule.Action[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(JControlModel.SweepRule.Action c : JControlModel.SweepRule.Action.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static JControlModel.SweepRule.Action valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.